.top-container {
    height: 1rem;
    display: flex;                /* 启用 flex 布局 */
    align-items: center;          /* 垂直居中对齐内容 */
    justify-content: space-between; /* 两端对齐，回退按钮在左侧，标题居中 */
    padding-left: 0.38rem;        /* 设置与容器左侧的间距 */
    padding-right: 0.38rem;       /* 设置右侧间距 */
    background-color: #ea4c89;
    overflow: hidden;
    margin-bottom: -1px;
    border: none;                 /* 移除边框 */
    box-shadow: none;             /* 去除阴影 */
    font-size: 16px;
    color: white;
}

.back-btn {
    background-color: transparent;
    color: white;
    border: none;
    font-size: 25px;              /* 设置箭头的大小 */
    cursor: pointer;
}

.title {
    display: flex;
    justify-content: center;      /* 水平居中 */
    align-items: center;          /* 垂直居中 */
    flex-grow: 1;                 /* 使标题占据剩余空间 */
}

.swiper {
    margin-top: 30px;
    width: 98%;
    max-width: 800px; /* 可调整 */
    margin: auto;
    border-radius: 10px;
    cursor: grab; /* 指针样式设置为抓取手型 */
    --swiper-pagination-color: #fff;/* 两种都可以 */
}
.content { display: none; } 
.content.active { display: block; }
.content-container {
    background-color: #ea4c89;
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 8px;
    margin-top: 10px;
}

.content-item {
    text-align: left;
    font-size: 16px;
    width: 94%;
    color: #FFFF00;
}       
/* 推广链接区域 */
.promotion-link-container {
    text-align: center;
    margin-bottom: 20px;
}

.promotion-link-container input {
    width: 70%;
    padding: 8px;
    font-size: 14px;
    border-radius: 8px;
    border: 1px solid #ddd;
    margin-right: 10px;
}

.promotion-link-container button {
    padding: 8px 16px;
    background-color: #ea4c89;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.promotion-link-container button:hover {
    background-color: #d84b7c;
} 

/* 二维码容器 */
#qrcode {
    text-align: left;
    margin-bottom: 20px;
}

#qrcode img {
    width: 150px;
    height: 150px;
    margin: 0 auto;
}  

.promoter-title {
    font-size: 15px;
    color: #FFF;
    font-weight: bold;
}
/* 弹窗样式 */
.toast {
    display: none; /* 默认隐藏 */
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 0.7);
    padding: 20px 40px;
    border-radius: 10px;
    color: white;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    z-index: 9999;
    opacity: 0;
    transition: opacity 1s ease;
}

/* 弹窗消息 */
.toast-message {
    font-family: Arial, sans-serif;
}